MagickCore: Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Defines

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- v
- w
- x
- z

### - a -

- AcquireIndexesFromHandler : cache-private.h
- AcquireOnePixelFromHandler : cache-private.h
- AcquirePixelHandler : cache-private.h
- AffineMatrix : geometry.h
- Ascii85Info : compress.h

### - b -

- BlobFifo : blob-private.h
- BlobInfo : magick-type.h

### - c -

- Cache : cache-private.h
- CacheInfo : cache-private.h
- CacheMethods : cache-private.h
- ChannelStatistics : statistic.h
- ChromaticityInfo : image.h
- Cluster : segment.c
- CoderInfo : coder.h
- ColorInfo : color.h
- ColorPacket : color.h
- ConfigureInfo : configure.h
- ContributionInfo : resize.c
- CubeInfo : quantize.c , color.c

### - d -

- DataSegmentInfo : memory.c
- DecodeImageHandler : magick.h
- DelegateInfo : delegate.h
- DestroyPixelHandler : cache-private.h
- DIR : vms.h , mac.h , nt-base.h
- DiversityPacket : xwindow.c
- DoublePixelPacket : deprecate.h
- DrawInfo : draw.h

### - e -

- EdgeInfo : draw.c
- ElementInfo : draw.c , hashmap.c
- ElementReference : draw.h
- EncodeImageHandler : magick.h
- EntryInfo : hashmap.c
- ErrorHandler : exception.h
- ErrorInfo : color.h
- EventInfo : log.c
- ExceptionInfo : magick-type.h
- ExtendedRationalType : deprecate.h
- ExtendedSignedIntegralType : deprecate.h
- ExtendedUnsignedIntegralType : deprecate.h
- ExtentPacket : segment.c

### - f -

- FatalErrorHandler : exception.h
- FrameInfo : decorate.h
- FxInfo : fx-private.h

### - g -

- GeometryInfo : geometry.h
- GetIndexesFromHandler : cache-private.h
- GetOnePixelFromHandler : cache-private.h
- GetPixelHandler : cache-private.h
- GetPixelsFromHandler : cache-private.h
- GhostscriptVectors : delegate.h
- GradientInfo : draw.h
- gs_main_instance : delegate.h

### - h -

- HandlerInfo : log.c
- HashmapInfo : hashmap.h

### - i -

- ile3 : vms.h
- Image : magick-type.h
- ImageAttribute : deprecate.h
- ImageFilterHandler : module.h
- ImageInfo : magick-type.h
- IndexPacket : pixel.h
- IntervalTree : segment.c
- IsImageFormatHandler : magick.h

### - l -

- LinkedListInfo : hashmap.h
- LocaleInfo : locale_.h
- LogInfo : log.h
- LongPixelPacket : pixel.h
- LPFNDLLFUNC1 : nt-base.h
- LPFNDLLFUNC2 : nt-base.h

### - m -

- MagicInfo : magic.h
- MagickInfo : magick.h
- MagickOffsetType : magick-type.h
- MagickPixelPacket : pixel.h
- MagickProgressMonitor : monitor.h
- MagickRealType : magick-type.h
- MagickSizeType : magick-type.h
- MagickStatusType : magick-type.h
- MedianListNode : effect.c
- MedianPixelList : effect.c
- MedianSkipList : effect.c
- MemoryInfo : memory.c
- MimeInfo : mime.h
- ModuleHandle : module.c
- ModuleInfo : module.h
- MonitorHandler : deprecate.h
- MontageInfo : montage.h

### - n -

- NexusInfo : cache-private.h
- NodeInfo : color.c , splay-tree.c , quantize.c
- Nodes : quantize.c , color.c
- NTMEMORYSTATUSEX : nt-base.h

### - o -

- OptionInfo : option.h

### - p -

- PathInfo : draw.c
- PixelPacket : pixel.h
- PointInfo : draw.h
- PolygonInfo : draw.c
- PrimaryInfo : image.h
- PrimitiveInfo : draw.h
- ProfileInfo : profile.h

### - q -

- QuantizeInfo : quantize.h
- Quantum : magick-type.h
- QuantumAny : magick-type.h
- QuantumInfo : quantum.h
- QuantumState : quantum-private.h

### - r -

- RandomInfo : random.c
- RealPixelPacket : pixel-private.h
- RectangleInfo : geometry.h
- RegistryInfo : registry.c
- ResampleFilter : resample.h
- ResizeFilter : resize-private.h
- ResourceInfo : resource.c

### - s -

- SegmentInfo : image.h
- SemaphoreInfo : semaphore.h
- SetPixelHandler : cache-private.h
- SignalHandler : magick.c
- SignatureInfo : signature.h
- SplayTreeInfo : splay-tree.h
- ssize_t : nt-base.h
- StopInfo : draw.h
- StreamHandler : stream.h
- StreamInfo : stream-private.h
- StringInfo : string_.h
- SyncPixelHandler : cache-private.h

### - t -

- ThresholdMap : threshold.h
- Timer : timer.h
- TimerInfo : timer.h
- TokenInfo : token.h
- TypeInfo : type.h
- TypeMetric : draw.h

### - v -

- CacheView : cache-view.h

### - w -

- WarningHandler : exception.h

### - x -

- XImportInfo : xwindow.h
- XMLTreeInfo : xml-tree.h
- XMLTreeRoot : xml-tree.c
- XWidgetInfo : widget.c

### - z -

- ZeroCrossing : segment.c